## com.puppycrawl.tools.checkstyle.checks.j2ee
Class RemoteHomeInterfaceMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.HomeInterfaceMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.RemoteHomeInterfaceMethodChecker

    public class RemoteHomeInterfaceMethodChecker

extends HomeInterfaceMethodChecker

Checks methods of a remote home interface check. Reference: Enterprise JavaBeansTM Specification,Version 2.0, section 9.5.

Author:
  Rick Giles

Constructor Summary
`RemoteHomeInterfaceMethodChecker(RemoteHomeInterfaceCheck aCheck)` Constructs a method checker for a remote home interface check.

Method Summary
`void` `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.HomeInterfaceMethodChecker
`checkCreateMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkMethods, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteHomeInterfaceMethodChecker

    public RemoteHomeInterfaceMethodChecker(RemoteHomeInterfaceCheck aCheck)

  Constructs a method checker for a remote home interface check.

  Parameters:
    `aCheck` - the remote home interface check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Checks whether a method satisfies component requirements.

  Overrides:
    `checkMethod` in class `HomeInterfaceMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

Back to the Checkstyle Home Page